export function TableBrowser({ database, tables, getTableUrl, metadata, dbId, schemaName, xraysEnabled, showSchemaInHeader, }: {
    database: any;
    tables: any;
    getTableUrl: any;
    metadata: any;
    dbId: any;
    schemaName: any;
    xraysEnabled: any;
    showSchemaInHeader?: boolean | undefined;
}): import("react/jsx-runtime").JSX.Element;
export namespace TableBrowser {
    export { propTypes };
}
export default TableBrowser;
declare namespace propTypes {
    let database: PropTypes.Requireable<object>;
    let tables: PropTypes.Validator<any[]>;
    let getTableUrl: PropTypes.Validator<(...args: any[]) => any>;
    let metadata: PropTypes.Requireable<object>;
    let dbId: PropTypes.Requireable<number>;
    let schemaName: PropTypes.Requireable<string>;
    let xraysEnabled: PropTypes.Requireable<boolean>;
    let showSchemaInHeader: PropTypes.Requireable<boolean>;
}
import PropTypes from "prop-types";
